"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const __1 = require("../..");
const WithWrap = props => {
    const { children, clickable, style, onPress } = props;
    if (clickable) {
        return (react_1.default.createElement(react_native_1.TouchableHighlight, { style: style, activeOpacity: 0.6, underlayColor: __1.Theme.fillBody, onPress: onPress },
            react_1.default.createElement(react_1.default.Fragment, null, children)));
    }
    return react_1.default.createElement(react_native_1.View, { style: style }, children);
};
const Cell = props => {
    const { title, label, value, iconName, iconSize = 24, iconColor = __1.Theme.colorTextGray, renderIcon, border = true, centerRightText = true, isLink, rightIconName = 'right', clickable, style, onPress, } = props;
    return (react_1.default.createElement(WithWrap, { style: [styles.container, border && styles.border, style], clickable: clickable, onPress: onPress },
        react_1.default.createElement(react_native_1.View, { style: styles.left },
            react_1.default.createElement(react_native_1.View, { style: styles.titleWrap },
                renderIcon || iconName ? (react_1.default.createElement(react_native_1.View, { style: styles.iconWrap }, renderIcon ? renderIcon() : !!iconName && react_1.default.createElement(__1.Icon, { name: iconName, size: iconSize, color: iconColor }))) : null,
                react_1.default.createElement(react_native_1.Text, { style: styles.titleText }, title)),
            !!label && (react_1.default.createElement(react_native_1.View, { style: styles.titleLabelWrap },
                react_1.default.createElement(react_native_1.Text, { numberOfLines: 1, style: styles.titleLabel }, label)))),
        react_1.default.createElement(react_native_1.View, { style: { alignSelf: centerRightText ? 'center' : 'flex-start' } },
            value && react_1.default.createElement(react_native_1.Text, null, title),
            isLink && react_1.default.createElement(__1.Icon, { name: rightIconName, size: 24, color: __1.Theme.colorTextGray }))));
};
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: 'row',
        alignItems: 'center',
        paddingVertical: 12,
        paddingHorizontal: 10,
    },
    border: {
        borderBottomColor: __1.Theme.borderColor,
        borderBottomWidth: 1,
    },
    left: {
        flex: 1,
    },
    titleWrap: {
        flexDirection: 'row',
        alignItems: 'center',
    },
    iconWrap: {
        marginRight: 6,
    },
    titleText: {
        fontSize: 16,
        color: __1.Theme.colorTextParagraph,
    },
    titleLabelWrap: {
        marginTop: 4,
    },
    titleLabel: {
        fontSize: 12,
        color: __1.Theme.colorTextCaption,
    },
});
exports.default = Cell;
