import React from 'react';
import { Text, StyleSheet, TouchableOpacity } from 'react-native';
import { Theme } from '../..';
const Button = props => {
    const { style, text, type = 'info', onPress } = props;
    return (React.createElement(TouchableOpacity, { style: [styles.container, style], activeOpacity: 0.9 },
        React.createElement(Text, { style: styles.text }, text)));
};
const styles = StyleSheet.create({
    container: {
        alignItems: 'center',
        justifyContent: 'center',
        height: Theme.buttonHeight,
        backgroundColor: Theme.brandPrimary,
        borderRadius: 4,
    },
    text: {
        color: Theme.fillBase,
        fontSize: Theme.buttonFontSize,
    },
});
export default Button;
