import React from 'react';
import { View, StyleSheet, Text } from 'react-native';
import { Theme } from '../..';
const CellGroup = props => {
    const { title, backgroundColor = Theme.fillBody, style, children, ...rest } = props;
    return (React.createElement(View, null,
        !!title && (React.createElement(View, Object.assign({ style: [styles.title, { backgroundColor }, style] }, rest),
            React.createElement(Text, { style: styles.titleText }, title))),
        children));
};
const styles = StyleSheet.create({
    title: {
        paddingHorizontal: 15,
        justifyContent: 'center',
        height: 40,
    },
    titleText: {
        fontSize: 16,
        color: Theme.colorTextGray,
    },
});
export default CellGroup;
