import React from 'react';
import { Pressable } from 'react-native';
import SvgUri from '../../lib/react-native-svg-uri';
import svgs from '../../assets/svg';
const Navbar = props => {
    const { name, color = '#666', size = 20, onPress, style = {} } = props;
    let svgXmlData = svgs[name];
    if (!svgXmlData) {
        throw new Error(`No Icon Named ${name} Was Found!`);
    }
    return (React.createElement(Pressable, { onPress: onPress, style: style },
        React.createElement(SvgUri, { width: size, height: size, svgXmlData: svgXmlData, fill: color })));
};
export default Navbar;
